MSFAlignmentFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.MSFAlignmentFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class MSFAlignmentFormat

    java.lang.Object
      org.biojava.bio.seq.io.MSFAlignmentFormat

All Implemented Interfaces:
  AlignmentFormat

    public class MSFAlignmentFormat

extends Object
implements AlignmentFormat

Author:
  raemig, Thomas Down, Keith James, Nimesh Singh, Mark Schreiber, Matthew Pocock, Bradford Powell

Constructor Summary
`MSFAlignmentFormat()`

Method Summary
`static void` | `main(String[] args)` used to quick test the code
`Alignment` | `read(BufferedReader reader)` Reads an MSF Alignment File
`void` | `write(OutputStream os, Alignment align, int fileType)`
`void` | `writeDna(OutputStream os, Alignment align)`
`void` | `writeProtein(OutputStream os, Alignment align)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSFAlignmentFormat

    public MSFAlignmentFormat()

Method Detail

### main

    public static void main(String[] args)

  used to quick test the code

  Parameters:
    `args` -

### read

    public Alignment read(BufferedReader reader)

  Reads an MSF Alignment File

  Specified by:
    `read` in interface `AlignmentFormat`
  Parameters:
    `reader` - The file reader
  Returns:
    Alignment A SimpleAlignment consisting of the sequences in the file.

### write

    public void write(OutputStream os,
                      Alignment align,
                      int fileType)
               throws BioException,
                      IllegalSymbolException

  Throws:
    `BioException`
    `IllegalSymbolException`

### writeDna

    public void writeDna(OutputStream os,
                         Alignment align)
                  throws BioException,
                         IllegalSymbolException

  Throws:
    `BioException`
    `IllegalSymbolException`

### writeProtein

    public void writeProtein(OutputStream os,
                             Alignment align)
                      throws BioException,
                             IllegalSymbolException

  Throws:
    `BioException`
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD